//时间为一位数时显示格式为："0X"
function checkTime(i) {
    if (i < 10) {
        i = "0" + i;
    }
    return i;
}


//服务器现在的时间（这里只是测试，就用浏览器时间代替）
var startTime = '';
//活动截止时间endTime（以服务器时间为标准，即给定的时间）
var end = '';
var endTime = '';
//活动截止时间（以浏览器时间为标准）
var browserEndTime = '';
//距离活动结束还剩余的时间（以浏览器为标准）
var plus = '';
var implement = false
function countdown(endTime) {
    console.log(endTime)
    end = endTime
    implement = true
}
//倒计时
function setTimer() {
    if (!plus) {
        //服务器现在的时间（这里只是测试，就用浏览器时间代替）
        startTime = new Date();
        //活动截止时间endTime（预先给定的值）
        // end = end;
        endTime = new Date(end);
        //活动截止时间与当前时间的时间差
        plus = endTime - startTime;
    }
    else {
        //距离活动结束还剩余的时间，第二次以后就不需要再计算，直接自减即可
        plus -= 1000;
        //更新当前时间(getTime()获取时间转化成毫秒后的数值)
        startTime = new Date(startTime.getTime() + 1000);
    }

    var day = parseInt(plus / 1000 / 60 / 60 / 24);
    var hour = parseInt(plus / 1000 / 60 / 60) - day * 24;
    var minute = parseInt(plus / 1000 / 60) - parseInt(plus / 1000 / 60 / 60) * 60;
    var second = parseInt(plus / 1000) - parseInt(plus / 1000 / 60) * 60;

    // 如果分钟或小时的值小于10，则在其值前加0，比如如果时间是下午3点20分9秒的话，则显示15：20：09
    day = checkTime(day);
    hour = checkTime(hour);
    minute = checkTime(minute);
    second = checkTime(second);

    document.getElementById("p").innerHTML =  day;
    document.getElementById("p1").innerHTML =  hour ;
    document.getElementById("p2").innerHTML = minute;
    document.getElementById("p3").innerHTML = second;
    if (plus <= 1) {
        clearInterval(id);
    }
}
//每秒循环一次，刷新活动截止时间与当前时间的时间差
if(implement == true){
    var id = setInterval(setTimer(), 1000);

}
